<?php
	//Get system name
	if(file_exists("backend/name.txt") && file_get_contents("backend/name.txt") != "")
	{
		$sysname=file_get_contents("backend/name.txt") . " ";
	}
	else
	{
		$sysname="";
	}
?>
<?php
	//Open session
	session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="generator" content="CoffeeCup HTML Editor (www.coffeecup.com)">
    <meta name="created" content="Wed, 17 Jun 2015 12:33:52 GMT">
    <meta name="description" content="Listening to a live stream? Got a song you have to hear? This is the place to request it!">
	<link rel="shortcut icon" href="backend/favicon.ico">
    <title><?php echo $sysname; ?>Music Request System-Put In Queue</title>
    
    <style type="text/css">
    <!--
    body {
      color:#000000;
	  background-color:#FFFFFF;
      background-image:url('backend/background.gif');
      background-repeat:repeat;
    }
    a  { color:#FFFFFF; background-color:#0000FF; }
    a:visited { color:#FFFFFF; background-color:#800080; }
    a:hover { color:#000000; background-color:#00FF00; }
    a:active { color:#000000; background-color:#FF0000; }
    -->
    </style>
  </head>
  <body>
  <?php
  	if(file_exists("backend/logging.txt") && file_get_contents("backend/logging.txt") == "yes")
	{
		//Change the timezone
		if(file_exists("backend/timezone.txt"))
		{
			date_default_timezone_set(file_get_contents("backend/timezone.txt"));
		}
		else
		{
			date_default_timezone_set("America/Toronto");
		}
		//Logging enabled
		$ip=$_SERVER['REMOTE_ADDR'];
		$fh=fopen("log/" . date("Ymd") . ".txt",'a') or die("Backend failure.");
		if($_POST['confirm'] == "y" && $_SESSION['sradmin'] == "y")
		{
			//Update file
			$contents=explode("\r\n",base64_decode(file_get_contents("posts/" . $_POST['p'] . ".txt")));
			if(isset($_POST['comment']) && $_POST['comment'] != "")
			{
				$contents[5]="2|" . str_replace("|","-",$_POST['comment']);
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Modified info for post \"" . $_GET['p'] . "\"\r\n");
			}
			else
			{
				$contents[5]="2|None";
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Modified info for post \"" . $_GET['p'] . "\"\r\n");
			}
			$contents[1]=stripcslashes($contents[1]);
			$contents[4]=stripcslashes(htmlspecialchars($contents[4]));
			$contents[5]=stripcslashes($contents[5]);
			$contents=base64_encode(implode("\r\n",$contents));
			$fh2=fopen("posts/" . $_POST['p'] . ".txt",'w') or die("Failed");
			fwrite($fh2,$contents);
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Updated post \"" . $_GET['p'] . "\"\r\n");
			fclose($fh);
			fclose($fh2);
			echo ("<script type=\"text/javascript\">window.location = \"index.php\"</script>");
		}
		elseif($_SESSION['sradmin'] == "y")
		{
			//Get file info
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Visited queue page for post \"" . $_GET['p'] . "\"\r\n");
			if(file_exists("posts/" . $_GET['p'] . ".txt"))
			{
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Obtained details for post \"" . $_GET['p'] . "\"\r\n");
				$contents=explode("\r\n",base64_decode(file_get_contents("posts/" . $_GET['p'] . ".txt")));
			}
			else
			{
				fwrite($fh,$ip . " at " . $date . ": Encountered error obtaining details for post \"" . $_GET['p'] . "\"\r\n");
				fclose($fh);
				die("Failed to obtain request information.");
			}
			fclose($fh);
		}
		else
		{
			//Nope.
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Visited queue page for post \"" . $_GET['p'] . "\"\r\n");
			fclose($fh);
			die("You are not authorized to queue this post. <a href=\"login.php\">Sign in</a> or <a href=\"index.php\">Cancel</a>.");
		}
	}
	else
	{
		//Logging disabled
		if($_POST['confirm'] == "y" && $_SESSION['sradmin'] == "y")
		{
			//Update file
			$contents=explode("\r\n",base64_decode(file_get_contents("posts/" . $_POST['p'] . ".txt")));
			if(isset($_POST['comment']) && $_POST['comment'] != "")
			{
				$contents[5]="2|" . str_replace("|","-",$_POST['comment']);
			}
			else
			{
				$contents[5]="2|None";
			}
			$contents[1]=stripcslashes($contents[1]);
			$contents[4]=stripcslashes(htmlspecialchars($contents[4]));
			$contents[5]=stripcslashes($contents[5]);
			$contents=base64_encode(implode("\r\n",$contents));
			$fh2=fopen("posts/" . $_POST['p'] . ".txt",'w') or die("Failed");
			fwrite($fh2,$contents);
			fclose($fh2);
			echo ("<script type=\"text/javascript\">window.location = \"index.php\"</script>");
		}
		elseif($_SESSION['sradmin'] == "y")
		{
			//Get file info
			if(file_exists("posts/" . $_GET['p'] . ".txt"))
			{
				$contents=explode("\r\n",base64_decode(file_get_contents("posts/" . $_GET['p'] . ".txt")));
			}
			else
			{
				die("Failed to obtain request information.");
			}
		}
		else
		{
			//Nope.
			die("You are not authorized to edit this post. <a href=\"login.php\">Sign in</a> or <a href=\"index.php\">Cancel</a>.");
		}
	}
  ?>
  <h1 style="text-align:center; text-decoration:underline;"><?php echo $sysname; ?>Music Request System-Put Post #<?php echo $_GET['p']; ?> In Queue</h1>
  <p>Post info:</p>
  <pre><?php var_dump($contents); ?></pre>
  <form method="post" action="queue.php">
  <input type="hidden" name="confirm" value="y">
  <input type="hidden" name="p" value="<?php echo $_GET['p']; ?>">
  Comments:<br>
  <textarea name="comment" rows="10" cols="50"></textarea><br>
  <input type="submit" value="Confirm"> or <input type="button" value="Cancel" onclick="window.location.href='index.php'">
  </form>
  </body>
</html>